<template>
  <div id="appRoot">
      <template>
      <v-app id="inspire" class="app">
        <app-drawer class="app--drawer"></app-drawer>
        <app-toolbar class="app--toolbar"></app-toolbar>
        <v-content>
          <!-- Page Header -->
          <page-header v-if="$route.meta.breadcrumb"></page-header>
          <div class="page-wrapper">
            <router-view></router-view>           
          </div>
          <!-- App Footer -->
          <v-footer height="auto" class="white pa-6 app--footer">
            <v-spacer></v-spacer>
            <span
              class="caption mr-1"
            >Buisek &copy; {{ new Date().getFullYear() }} / Todos los derechos reservados}}</span>
          </v-footer>
        </v-content>
        <!-- Go to top -->
        <app-fab></app-fab>     >
        </v-btn>-->
        <v-navigation-drawer
          v-model="rightDrawer"
          class="setting-drawer"
          temporary
          right
          hide-overlay
          fixed
        >     
        </v-navigation-drawer>
      </v-app>
    </template>
    <v-snackbar v-model="snackbar.show" :timeout="3000" bottom right :color="snackbar.color">
      {{ snackbar.text }}
      <v-btn dark flat icon @click.native="snackbar.show = false">
        <v-icon>close</v-icon>
      </v-btn>
    </v-snackbar>
  </div> 
</template>

<script>
import AppDrawer from "@/partials/AppDrawer";
import AppToolbar from "@/partials/AppToolbar";
import AppFab from "@/partials/AppFab";
import PageHeader from "@/partials/PageHeader";
import AppEvents from "@/event";
export default {
  name: 'AppRoot',
  components: {
    AppDrawer,
    AppToolbar,
    AppFab,
    PageHeader,
  },
  data: () => ({
    expanded: true,
    rightDrawer: false,
    snackbar: {
      show: false,
      text: "",
      color: ""
    },
    isLoggedIn: false 
  }),
  computed: {},
  mounted() {   
  },
  created() {
    AppEvents.forEach(item => {
      this.$on(item.name, item.callback);
    });
    window.getApp = this;
  },
  methods: {
    openThemeSettings() {
      this.$vuetify.goTo(0);
      this.rightDrawer = !this.rightDrawer;
    },
    setLoggedIn() {
      this.isLoggedIn = (window.localStorage.token !== undefined)       
    }
  }
};
</script>
<style lang="stylus" scoped>
.setting-fab {
  top: 50% !important;
  right: 0;
  border-radius: 0;
}

.page-wrapper {
  min-height: calc(100vh - 64px - 50px - 81px);
}
</style>

